Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Wait_On_Leader_Follower Class Reference

Wait according to the Leader-Follower model. Leader does the event loop of the Reactor and the Followers wait on the condition variable. More...

`#include <Wait_On_Leader_Follower.h>`

Inheritance diagram for TAO_Wait_On_Leader_Follower:

[legend]
Collaboration diagram for TAO_Wait_On_Leader_Follower:

[legend]
List of all members.

## Public Methods
| TAO_Wait_On_Leader_Follower (TAO_Transport *transport)
| Constructor. More...
virtual | ~TAO_Wait_On_Leader_Follower (void)
| Destructor. More...
virtual int | sending_request (TAO_ORB_Core *orb_core, int two_way)
| The user is going to send a request, prepare any internal variables because the reply may arrive *before* the user calls wait. More...
virtual int | wait (ACE_Time_Value *max_wait_time, TAO_Synch_Reply_Dispatcher &rd)
| Base class virtual method. Wait till the <reply_received> flag is true or the time expires. More...
virtual int | register_handler (void)
| Register the handler needs with the reactor provided that it makes sense for the strategy. More...
virtual int | non_blocking (void)
| Returns a value to indicate whether the transport needs to set the socket on which it is waiting to non-blocking mode or not. More...

## Detailed Description

Wait according to the Leader-Follower model. Leader does the event loop of the Reactor and the Followers wait on the condition variable.

This impelementation is to work with the Muxed Transport Mechanism. Here the state variables such as <Condition Variable> etc cannot be kept in the Wait Strategy, since the Wait Strategy is per Transport object and here the Transport is Muxed and hence there are multiple threads running in the same Transport context.

## Constructor & Destructor Documentation

TAO_Wait_On_Leader_Follower::TAO_Wait_On_Leader_Follower | ( | TAO_Transport * | transport | ) |

| Constructor.

TAO_Wait_On_Leader_Follower::~TAO_Wait_On_Leader_Follower | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

int TAO_Wait_On_Leader_Follower::non_blocking | ( | void |  | ) | `[virtual]`

| Returns a value to indicate whether the transport needs to set the socket on which it is waiting to non-blocking mode or not. Reimplemented from TAO_Wait_Strategy.

int TAO_Wait_On_Leader_Follower::register_handler | ( | void |  | ) | `[virtual]`

| Register the handler needs with the reactor provided that it makes sense for the strategy. Reimplemented from TAO_Wait_Strategy.

int TAO_Wait_On_Leader_Follower::sending_request | ( | TAO_ORB_Core * | orb_core,
|  | int | two_way
| ) | `[virtual]`

| The user is going to send a request, prepare any internal variables because the reply may arrive *before* the user calls wait. Reimplemented from TAO_Wait_Strategy.

int TAO_Wait_On_Leader_Follower::wait | ( | ACE_Time_Value * | max_wait_time,
|  | TAO_Synch_Reply_Dispatcher & | rd
| ) | `[virtual]`

| Base class virtual method. Wait till the <reply_received> flag is true or the time expires. Reimplemented from TAO_Wait_Strategy.

The documentation for this class was generated from the following files:

- Wait_On_Leader_Follower.h
- Wait_On_Leader_Follower.cpp